ONVIF::Analytics::Types::RecordingJobSource(3)

NAME
ONVIF::Analytics::Types::RecordingJobSource

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingJobSource from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SourceToken

•   AutoCreateReceiver

•   Tracks

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::RecordingJobSource
   SourceToken =>  { # ONVIF::Analytics::Types::SourceReference
     Token => $some_value, # ReferenceToken
   },
   AutoCreateReceiver =>  $some_value, # boolean
   Tracks =>  { # ONVIF::Analytics::Types::RecordingJobTrack
     SourceTag =>  $some_value, # string
     Destination => $some_value, # TrackReference
   },
   Extension =>  { # ONVIF::Analytics::Types::RecordingJobSourceExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL